Package org.eclipse.mat.internal.snapshot.inspections

## Class CompareTablesQuery

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery

All Implemented Interfaces:
  `IQuery`

    public class CompareTablesQuery
    extends Object
    implements IQuery

### Nested Class Summary

Nested Classes
`static class` `CompareTablesQuery.ComparedColumn`
`class` `CompareTablesQuery.ComparisonResultTable`
`class` `CompareTablesQuery.ComparisonResultTree`
`static class` `CompareTablesQuery.Mode`
`static class` `CompareTablesQuery.Operation`
`class` `CompareTablesQuery.TableComparisonResult`

### Field Summary

Fields
`boolean` `addrefs`
`String[]` `extraReferences`
`File` `extraReferencesListFile`
`int` `keyColumn`
`Pattern` `mask`
`CompareTablesQuery.Mode` `mode`
`boolean` `prefix`
`IQueryContext` `queryContext`
`String` `replace`
`CompareTablesQuery.Operation` `setOp`
`ISnapshot[]` `snapshots`
`boolean` `suffix`
`IStructuredResult[]` `tables`

### Constructor Summary

Constructors
`CompareTablesQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute​(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tables

    public IStructuredResult[] tables

#### queryContext

    public IQueryContext queryContext

#### snapshots

    public ISnapshot[] snapshots

#### mode

    public CompareTablesQuery.Mode mode

#### setOp

    public CompareTablesQuery.Operation setOp

#### keyColumn

    public int keyColumn

#### mask

    public Pattern mask

#### replace

    public String replace

#### prefix

    public boolean prefix

#### suffix

    public boolean suffix

#### addrefs

    public boolean addrefs

#### extraReferences

    public String[] extraReferences

#### extraReferencesListFile

    public File extraReferencesListFile

### Constructor Detail

#### CompareTablesQuery

    public CompareTablesQuery()

### Method Detail

#### execute

    public IResult execute​(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query